Create an Contextual AI inference endpoint

Auth

Create an inference endpoint to perform an inference task with the contexualai service.

To review the available rerank models, refer to https://docs.contextual.ai/api-reference/rerank/rerank#body-model.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: rerank
contextualai_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, contextualai.

Values: contextualai
service_settings object required

Settings used to install the inference model. These settings are specific to the contextualai service.

api_key string required

A valid API key for your Contexutual AI account.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

model_id string required

The name of the model to use for the inference task. Refer to the Contextual AI documentation for the list of available rerank models.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: rerank